import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const customCurrencyResponse = await client.v1.credits.customCurrencies.create({
id: 'id',
displayName: 'displayName',
});
console.log(customCurrencyResponse.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
custom_currency_response = client.v1.credits.custom_currencies.create(
id="id",
display_name="displayName",
)
print(custom_currency_response.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
customCurrencyResponse, err := client.V1.Credits.CustomCurrencies.New(context.TODO(), stigg.V1CreditCustomCurrencyNewParams{
ID: "id",
DisplayName: "displayName",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", customCurrencyResponse.Data)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.credits.customcurrencies.CustomCurrencyCreateParams;
import io.stigg.models.v1.credits.customcurrencies.CustomCurrencyResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
CustomCurrencyCreateParams params = CustomCurrencyCreateParams.builder()
.id("id")
.displayName("displayName")
.build();
CustomCurrencyResponse customCurrencyResponse = client.v1().credits().customCurrencies().create(params);
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
custom_currency_response = stigg.v1.credits.custom_currencies.create(id: "id", display_name: "displayName")
puts(custom_currency_response)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Credits.CustomCurrencies;
StiggClient client = new();
CustomCurrencyCreateParams parameters = new()
{
ID = "id",
DisplayName = "displayName",
};
var customCurrencyResponse = await client.V1.Credits.CustomCurrencies.Create(parameters);
Console.WriteLine(customCurrencyResponse);stigg v1:credits:custom-currencies create \
--api-key 'My API Key' \
--id id \
--display-name displayNamecurl --request POST \
--url https://api.stigg.io/api/v1/credits/custom-currencies \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"id": "<string>",
"displayName": "<string>",
"symbol": "<string>",
"description": "<string>",
"metadata": {}
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/credits/custom-currencies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '<string>',
'displayName' => '<string>',
'symbol' => '<string>',
'description' => '<string>',
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "cred-type-credits",
"displayName": "Credits",
"symbol": "CR",
"description": "Prepaid usage credits",
"units": {
"singular": "credit",
"plural": "credits"
},
"metadata": {},
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"archivedAt": null
}
}{
"message": "<string>",
"code": "BadUserInput",
"reason": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>",
"code": "IdentityForbidden"
}{
"message": "<string>",
"code": "DuplicatedEntityNotAllowed"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Create custom currency
Creates a new custom currency in the environment.
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const customCurrencyResponse = await client.v1.credits.customCurrencies.create({
id: 'id',
displayName: 'displayName',
});
console.log(customCurrencyResponse.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
custom_currency_response = client.v1.credits.custom_currencies.create(
id="id",
display_name="displayName",
)
print(custom_currency_response.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
customCurrencyResponse, err := client.V1.Credits.CustomCurrencies.New(context.TODO(), stigg.V1CreditCustomCurrencyNewParams{
ID: "id",
DisplayName: "displayName",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", customCurrencyResponse.Data)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.credits.customcurrencies.CustomCurrencyCreateParams;
import io.stigg.models.v1.credits.customcurrencies.CustomCurrencyResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
CustomCurrencyCreateParams params = CustomCurrencyCreateParams.builder()
.id("id")
.displayName("displayName")
.build();
CustomCurrencyResponse customCurrencyResponse = client.v1().credits().customCurrencies().create(params);
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
custom_currency_response = stigg.v1.credits.custom_currencies.create(id: "id", display_name: "displayName")
puts(custom_currency_response)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Credits.CustomCurrencies;
StiggClient client = new();
CustomCurrencyCreateParams parameters = new()
{
ID = "id",
DisplayName = "displayName",
};
var customCurrencyResponse = await client.V1.Credits.CustomCurrencies.Create(parameters);
Console.WriteLine(customCurrencyResponse);stigg v1:credits:custom-currencies create \
--api-key 'My API Key' \
--id id \
--display-name displayNameAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Body
Request body for creating a new custom currency
The unique identifier for the new custom currency
1 - 255^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$The display name of the custom currency
64The symbol used to represent the custom currency
64Description of the currency
255Singular and plural unit labels for a custom currency. Both fields are required when supplied.
Show child attributes
Show child attributes
Additional metadata to attach to the custom currency
Show child attributes
Show child attributes
Response
The newly created custom currency object.
Response object
A custom currency used to denominate credit-based entitlements and pricing
Show child attributes
Show child attributes
Related topics
Unarchive custom currencyArchive custom currencyUpdate custom currencyList custom currency associated entitiesGet a list of custom currencys